Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQExpression

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQDynamicContext
          net.sf.saxon.xqj.SaxonXQExpression

All Implemented Interfaces:
  XQDynamicContext, XQExpression

    public class SaxonXQExpression

extends SaxonXQDynamicContext
implements XQExpression

Method Summary
`void` | `cancel()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `executeCommand(Reader command)`
`void` | `executeCommand(String command)`
`XQResultSequence` | `executeQuery(InputStream query)`
`XQResultSequence` | `executeQuery(Reader query)`
`XQResultSequence` | `executeQuery(String query)`
`int` | `getQueryLanguageTypeAndVersion()`
`int` | `getQueryTimeout()`
`XQWarning` | `getWarnings()`
`boolean` | `isClosed()`
`void` | `setQueryTimeout(int seconds)`

Methods inherited from class net.sf.saxon.xqj.SaxonXQDynamicContext
`bindAtomicValue, bindBoolean, bindByte, bindContextItem, bindDocument, bindDouble, bindFloat, bindInt, bindItem, bindLong, bindNode, bindObject, bindSequence, bindShort, getImplicitTimeZone, setImplicitTimeZone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQDynamicContext
`bindAtomicValue, bindBoolean, bindByte, bindContextItem, bindDocument, bindDouble, bindFloat, bindInt, bindItem, bindLong, bindNode, bindObject, bindSequence, bindShort, getImplicitTimeZone, setImplicitTimeZone`

Method Detail

### cancel

    public void cancel()
                throws XQException

  Specified by:
    `cancel` in interface `XQExpression`
  Throws:
    `XQException`

### clearWarnings

    public void clearWarnings()
                       throws XQException

  Specified by:
    `clearWarnings` in interface `XQExpression`
  Throws:
    `XQException`

### close

    public void close()

  Specified by:
    `close` in interface `XQExpression`

### executeCommand

    public void executeCommand(Reader command)
                        throws XQException

  Specified by:
    `executeCommand` in interface `XQExpression`
  Throws:
    `XQException`

### executeCommand

    public void executeCommand(String command)
                        throws XQException

  Specified by:
    `executeCommand` in interface `XQExpression`
  Throws:
    `XQException`

### executeQuery

    public XQResultSequence executeQuery(InputStream query)
                                  throws XQException

  Specified by:
    `executeQuery` in interface `XQExpression`
  Throws:
    `XQException`

### executeQuery

    public XQResultSequence executeQuery(Reader query)
                                  throws XQException

  Specified by:
    `executeQuery` in interface `XQExpression`
  Throws:
    `XQException`

### executeQuery

    public XQResultSequence executeQuery(String query)
                                  throws XQException

  Specified by:
    `executeQuery` in interface `XQExpression`
  Throws:
    `XQException`

### getQueryLanguageTypeAndVersion

    public int getQueryLanguageTypeAndVersion()
                                       throws XQException

  Specified by:
    `getQueryLanguageTypeAndVersion` in interface `XQExpression`
  Throws:
    `XQException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws XQException

  Specified by:
    `getQueryTimeout` in interface `XQExpression`
  Throws:
    `XQException`

### getWarnings

    public XQWarning getWarnings()
                          throws XQException

  Specified by:
    `getWarnings` in interface `XQExpression`
  Throws:
    `XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `XQExpression`

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws XQException

  Specified by:
    `setQueryTimeout` in interface `XQExpression`
  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.